Bug 740950 - [abrt] audacious-2.5.4-1.fc15: mowgli_heap_alloc: Process /usr/bin/audacious was killed by signal 11 (SIGSEGV)
Summary: [abrt] audacious-2.5.4-1.fc15: mowgli_heap_alloc: Process /usr/bin/audacious ...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: audacious
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Schwendt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:5c7e84d7e3b0feffc68c305ee6a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-23 21:07 UTC by Adrin Jalali
Modified: 2012-07-26 15:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-26 15:53:09 UTC


Attachments (Terms of Use)
File: backtrace (44.86 KB, text/plain)
2011-09-23 21:07 UTC, Adrin Jalali
no flags Details
File: maps (44.96 KB, text/plain)
2011-09-23 21:07 UTC, Adrin Jalali
no flags Details
list of folders that were to be added. (16.32 KB, text/plain)
2011-09-23 21:49 UTC, Adrin Jalali
no flags Details

Description Adrin Jalali 2011-09-23 21:07:43 UTC
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        audacious
comment:        adding some files.
component:      audacious
crash_function: mowgli_heap_alloc
executable:     /usr/bin/audacious
kernel:         2.6.40.4-5.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        audacious-2.5.4-1.fc15
reason:         Process /usr/bin/audacious was killed by signal 11 (SIGSEGV)
time:           Fri Sep 23 14:05:13 2011
uid:            500
username:       adrin
xsession_errors: 

backtrace:      Text file, 45937 bytes
maps:           Text file, 46036 bytes

build_ids:
:318d7ebb9ff61bf5d08d070bb0fa793c4c0d9cb0
:8931ab3c073ffb8513aa5e95e6df924ee22b3691
:f65baade131f67f424c4167cb2f046cb63a96c01
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:c4b1f303950835fe1e9a5019ce1d368ef8249392
:1d87720659528ad80e8870da2b2bb4af4470cf66
:722092ce63f29994224c42970e34d60a30a80e46
:bf3ddeaa21885434148220bf7a712c0ee176ca0e
:9cd020ec2107c08febe2c8fcabd158212c207854
:0b1f69c75c16ae2ee963cec0721f0e67e2b0f630
:9277f5bd9733bac59be54bcaa5c092bdc1c4f89f
:5dddbb646db3ca0f93a9848c66c8a6dd1b335466
:f9a15f1cb853aa8ed2123815c88b2793f6de60b1
:aaf62304b0fc10611d35b4f56005479d4c58868d
:d2569ef01dc7bd350f899e0597e990a1339d9e17
:2adb9cdd48052b02a1b9d415ba6da54e174acbac
:cc32e70895d23acd7bde1ef1a3286b5e179e2d49
:6039c1f5a0cef8dd7b8aa4c383675a1169214365
:4a7e68edf2778a9fbd3d4a8fbd3f9d1e7b785fc6
:fdc09328fea3e060c8a504a8291555b4cd19172a
:8164c04fe43680778d29c2775cef453f494ab62b
:1765f0dd2d62aa2fdac453b6611f2a87313190b5
:91689252818532ec13597b6528d38be93b2706c4
:5e7c7237a025f271e5ed1418cb23420764b09725
:3dd00a31cf09e7d59a58bbcf0750e12401a23e53
:51c47d716991cd2efdf2d03241a16035c2ea5937
:3efa90a1dfea76e986419cc678c07b368c6afde2
:4c7e95adf3ebf234c3296a412389fb303f4facf0
:c08ee75747f49663df26be3e321cb24fbf70a426
:3a2b3fbda1b280afaa4f727ed3e61aa577a779b7
:9102ec5c33c2ca675017bce961c3f5b4765b1895
:c3bf0640bc3345ce7d088a9e8917ed5d7471e1b2
:aac9177d9323042eaa779127c3f5b0dde9699c13
:d5e5de8d7cfbc499609006ad34df6ec306ae59d6
:0b232e446650ce07a3e70bae4f00a7ad5eda2630
:00caa79d9b9399c8cecfe1e6b9b0937c74a24a17
:08bad10bf66ebe542324b597d6ee310019929249
:17e8fca193cfa612bf826fa5c6419eb4251bbfdc
:d0c6e13f00a20952a72a945c929efb175fd760e3
:12fe921fa6ce903fb44dbd1e37cd24e26cc920a6
:cfa22181b1fef9573da3671df63029c531dc8e1b
:1e49d90ad8b056f23bfcb1112c138b3074cd91a8
:189c7475c0490584f314acd7377d00adc0fc2b1a
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:0008cf470662b48a5302cefd6aff687bd1b646d0
:4b01fe6e705219deca2756ff0720d52ec81b4c87
:da24a4cd4ccfd6a86507660c243418984d2e3424
:48aea888319e1848137073c9cbde54a4c2a731c9
:d087f944dd82da9ca4f0bdebd9f28604c95e62e3
:c3576e5624742604776888a8b3c62232a21bff50
:d259f77e246b7dde5797633a40e4a655375f9b97
:2e4680b6c05d8ce53d439117da84fd76faa0a811
:b2f824741131c03a27131409423b4337af09dde3
:f277cf8af7532168ab476e5f7bddaa44e74ff642
:54ba061c2816efe31615cd59a0d11e7d71332cf7
:de3d99d5ee83bc2d6474a299530057c6cc397eb8
:876e109b32b4120f117901480512f2714d629558
:9b3af3c4e04ceb5aaa350786fd48189771cc5d0c
:3573a3628361e312fd72d870ca66b5c27a57fb58
:4ead7e31a3a01781151307f8a41645f011bcb498
:83eaf534f789338ec43432c66a28bb7680834b45
:99ee89e044ca684ea0a0c6b52245d25394ae7202
:6ea1b495ab145490b64c17a8efdc4dc1ef61eecb
:f8a4496694553ff8dc93d7d93187936f4acd07a9
:48c986082682a31f0a23ad45b8baec3104ccc8bc
:175d12344539f140563278dbccbb38fb5efa725a
:bff42965b5cdcb7004a4abfdcd264d254a59046b
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:585e18f56063dab8934660820f0c63765c6c1a1f
:afe4ec94c18bd5228bda21a6e8df520ba8e19e37
:0911ea7c180d733724f89037b8e8a34e64024aec
:634eca0cadcf35206919dd5e6a8e2e8601276947
:211ce2ebd375299b359db12f6b4e4bdb5cdf76eb
:e5f626726497a81807681ed0088dbce6d6a1f17b
:37a7985c6b4e6dd88d4392d43b88db7010da6095
:9ef41f9ca0eabaf3a03dd77eb180e202ab4fe956
:4c842320387ff7f6f91b7842b223c16518be909f
:7b04b09e7c5dd8ade32c017ad8b93d9d1c104b3d
:53d2f87b0fc2fff230fb8ba17e1a0c33eec3ac67
:b0cc82282e13aa9c54f05914ed03f39f31af1331
:264bfd9d45950be27417615f22a11928f979af89
:dbe26f191fd371706b2dda27896aa30a5b22dde9
:5b393a2379bbc2119dd52861b9d85c4a2072b5da
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:d209b396f198879f49a4cce4bd445df16ab163b5
:79d2d2a3e3d39fcde3bea274434562ecbc41b360
:fc6e234c5a3a5c2ffdb70448d5dadceae8eccc54
:c1f034e216940c41dbe23880c3400ef9cffae35d
:77f453109143fdbf15d4f3bf481b806eead21ad2
:4e07b77adb145cc6404542708f22dc48ded94731
:4d5437cf71ea3e4bac1c445da58ca7897d509d15
:1c6a95451ee19617be5abea3d121f0226d21ddda
:d8044d99c7ee655924c171cb7d7d375759afdc92
:74d56d8081dbddfee69a599e8e29c40cddf40af2
:3e113d18232e9368a3d33d061ee14e221202b1cc
:6aa53a05f80636afc28dd6acbd2a0ba09211d37a
:b493a643c7faf866d22399f6c9684c57a4d37a37
:90fe13fac734263f663981ce4d1691cf926ced25
:30a5ae8cca855b291654b1c3eb9d6a7b703be40b
:7ff59f3ec00ebb70f32a3f3d6373e19cdc03d0cd
:27301f5062e80c3247bf89aaf21f0a6e3180168f
:4b6c2d28348d5749dbe789e5ef4f903763a7587a
:19331eb3d0813ed58ffbaae98c80d0e1678a49e6
:c8d9fc7bc92c02be010dd73819d85ec3356420b3
:4953d1f613914126bccceb3cb96386647ffba9df
:5c94d34eef463a380dece1eac0811d6cb2dea2f9
:9c23cc77b5763600b189289e892983ebb6c172c8
:087f3b383512e5ebb6de228c20a0074c908be719
:7e2907a76435b3ab5bb8cf3824256e105b6a6863
:9fb3f8d286cb974e84d602040d7b0b0cc306007e
:c8077bb58874c26cfb2df6c0476ddf4e142353fa
:3cb38edbc184347a707c6c431ca50085bbd5228a
:e5d3933b8d1e420cedad772e62d2db2152b6e79d
:430727f8c2266b98bd2cad149c613766e50fb5d9
:3e7396aeb0cacf83a7416f50cad1ff2d2d5c1594
:aabfae52f2f9cd3da2a88327b8021a05bc700500
:2d1c370c883c5ca00938b36d8126bd12b770fd71
:8004fd9a60302bd0663602b5ba96d1b6bc6732ba
:34fdb31481906f347f8dd8215f0df5d3f074167b

dso_list:
:/usr/lib64/libschroedinger-1.0.so.0.10.0 schroedinger-1.0.10-2.fc15.x86_64 (Fedora Project) 1316253403
:/lib64/librt-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1316252653
:/lib64/libcrypt-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1316252653
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.10-2.fc15.x86_64 (Fedora Project) 1316252638
:/usr/lib64/audacious/Input/ffaudio.so audacious-plugins-freeworld-ffaudio-2.5.2-1.fc15.x86_64 (RPM Fusion) 1316250425
:/usr/lib64/libpangoft2-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1316253429
:/usr/lib64/libvorbisenc.so.2.0.8 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1316253379
:/usr/lib64/libavcodec.so.52.121.0 ffmpeg-libs-0.7-0.3.20110612git.fc15.x86_64 (RPM Fusion) 1316243379
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc15.x86_64 (Fedora Project) 1316253422
:/usr/lib64/libaudtag.so.1.0.0 audacious-libs-2.5.4-1.fc15.x86_64 (Fedora Project) 1316178528
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-3.fc15.noarch (Fedora Project) 1316253380
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1316252654
:/usr/lib64/libgnutls.so.26.16.14 gnutls-2.10.5-1.fc15.x86_64 (Fedora Project) 1316253399
:/usr/lib64/libFLAC.so.8.2.0 flac-1.2.1-6.fc12.x86_64 (Fedora Project) 1316253384
:/lib64/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1316252674
:/usr/lib64/libxvidcore.so.4.3 xvidcore-1.3.2-2.fc15.x86_64 (RPM Fusion) 1316243377
:/usr/share/fonts/dejavu/DejaVuSans-Bold.ttf dejavu-sans-fonts-2.33-1.fc15.noarch (Fedora Project) 1316178528
:/usr/lib64/libavutil.so.50.41.0 ffmpeg-libs-0.7-0.3.20110612git.fc15.x86_64 (RPM Fusion) 1316243379
:/usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-xpm.so gdk-pixbuf2-2.23.3-2.fc15.x86_64 (Fedora Project) 1316253423
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc15.x86_64 (Fedora Project) 1316253377
:/usr/share/icons/gnome/icon-theme.cache gnome-icon-theme-3.0.0-2.fc15.noarch (Fedora Project) 1316253383
:/usr/lib64/libva.so.1.0.14 libva-1.0.14-1.fc15.x86_64 (Fedora Project) 1316243377
:/usr/lib64/libcanberra-gtk.so.0.1.8 libcanberra-gtk2-0.28-3.fc15.x86_64 (Fedora Project) 1316253440
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1316253423
:/usr/lib64/libgtk-x11-2.0.so.0.2400.4 gtk2-2.24.4-2.fc15.x86_64 (Fedora Project) 1316253430
:/usr/lib64/libgdk-x11-2.0.so.0.2400.4 gtk2-2.24.4-2.fc15.x86_64 (Fedora Project) 1316253430
:/usr/lib64/libspeex.so.1.5.0 speex-1.2-0.13.rc1.fc15.x86_64 (Fedora Project) 1316253380
:/usr/lib/locale/locale-archive glibc-common-2.14-5.x86_64 (Fedora Project) 1316252649
:/usr/lib64/libmp3lame.so.0.0.0 lame-libs-3.98.4-1.fc14.x86_64 (RPM Fusion) 1316243379
:/usr/lib64/libtheoraenc.so.1.1.2 libtheora-1:1.1.1-1.fc15.x86_64 (Fedora Project) 1316253386
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1316253424
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-2.fc15.x86_64 (Fedora Project) 1316253384
:/usr/lib64/mcs/gconf.so libmcs-0.7.2-4.fc15.x86_64 (Fedora Project) 1316178528
:/usr/lib64/libcanberra.so.0.2.5 libcanberra-0.28-3.fc15.x86_64 (Fedora Project) 1316253424
:/usr/lib64/libtasn1.so.3.1.9 libtasn1-2.7-2.fc15.x86_64 (Fedora Project) 1316253399
:/usr/lib64/libXtst.so.6.1.0 libXtst-1.2.0-2.fc15.x86_64 (Fedora Project) 1316253424
:/usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so libcanberra-gtk2-0.28-3.fc15.x86_64 (Fedora Project) 1316253440
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.8.2-1.fc15.x86_64 (Fedora Project) 1316253446
:/lib64/libgcc_s-4.6.0-20110603.so.1 libgcc-4.6.0-10.fc15.x86_64 (Fedora Project) 1316252632
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-3.fc15.x86_64 (Fedora Project) 1316253377
:/lib64/libdl-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1316252653
:/usr/lib64/libmcs.so.1.0.0 libmcs-0.7.2-4.fc15.x86_64 (Fedora Project) 1316178528
:/lib64/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1316252674
:/usr/lib64/libdirac_encoder.so.0.1.0 dirac-libs-1.0.2-6.fc15.x86_64 (Fedora Project) 1316253414
:/lib64/libm-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1316252653
:/lib64/ld-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1316252653
:/usr/lib64/audacious/Input/sndfile.so audacious-plugins-2.5.4-2.fc15.x86_64 (Fedora Project) 1316178532
:/usr/lib64/gio/modules/libgioremote-volume-monitor.so gvfs-1.8.2-1.fc15.x86_64 (Fedora Project) 1316253446
:/usr/share/fonts/abattis-cantarell/Cantarell-Regular.otf abattis-cantarell-fonts-0.0.6-1.fc15.noarch (Fedora Project) 1316253416
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.6-3.fc15.x86_64 (Fedora Project) 1316253378
:/usr/lib64/audacious/General/gnomeshortcuts.so audacious-plugins-2.5.4-2.fc15.x86_64 (Fedora Project) 1316178532
:/usr/lib64/libasyncns.so.0.3.1 libasyncns-0.8-2.fc15.x86_64 (Fedora Project) 1316253384
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.x86_64 (Fedora Project) 1316253423
:/lib64/libpthread-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1316252653
:/usr/lib64/gtk-2.0/modules/libpk-gtk-module.so PackageKit-gtk-module-0.6.17-1.fc15.x86_64 (Fedora Project) 1316253490
:/lib64/libutil-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1316252653
:/usr/lib64/libaudclient.so.2.0.0 audacious-libs-2.5.4-1.fc15.x86_64 (Fedora Project) 1316178528
:/usr/lib64/libfreetype.so.6.6.2 freetype-2.4.4-5.fc15.x86_64 (Fedora Project) 1316253377
:/lib64/libgcrypt.so.11.6.0 libgcrypt-1.4.6-1.fc15.x86_64 (Fedora Project) 1316252667
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1316252656
:/usr/lib64/libxcb-atom.so.1.0.0 xcb-util-0.3.6-2.fc15.x86_64 (Fedora Project) 1316253384
:/lib64/libudev.so.0.11.1 libudev-167-6.fc15.x86_64 (Fedora Project) 1316411069
:/lib64/libbz2.so.1.0.6 bzip2-libs-1.0.6-3.fc15.x86_64 (Fedora Project) 1316252655
:/usr/lib64/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1316253379
:/usr/lib64/libX11-xcb.so.1.0.0 libX11-1.4.3-1.fc15.x86_64 (Fedora Project) 1316253422
:/lib64/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1316252674
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.x86_64 (Fedora Project) 1316253378
:/usr/lib64/libpulsecommon-0.9.22.so pulseaudio-libs-0.9.22-5.fc15.x86_64 (Fedora Project) 1316253424
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1316253423
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.x86_64 (Fedora Project) 1316253423
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14-5.x86_64 (Fedora Project) 1316252653
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1316253423
:/usr/bin/audacious audacious-2.5.4-1.fc15.x86_64 (Fedora Project) 1316178532
:/usr/lib64/libguess.so.1.0.0 libguess-1.0-2.fc15.x86_64 (Fedora Project) 1316178530
:/usr/lib64/libtdb.so.1.2.9 libtdb-1.2.9-9.fc15.x86_64 (Fedora Project) 1316253380
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-6.fc15.x86_64 (Fedora Project) 1316252665
:/lib64/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-5.fc15.x86_64 (Fedora Project) 1316252665
:/usr/lib64/libaudcore.so.1.0.0 audacious-libs-2.5.4-1.fc15.x86_64 (Fedora Project) 1316178528
:/usr/lib64/gtk-2.0/2.10.0/engines/libpixmap.so gtk2-2.24.4-2.fc15.x86_64 (Fedora Project) 1316253430
:/lib64/libgpg-error.so.0.7.0 libgpg-error-1.9-2.fc15.x86_64 (Fedora Project) 1316252657
:/usr/lib64/libpangocairo-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1316253429
:/lib64/libc-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1316252653
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1316253383
:/usr/lib64/libvpx.so.0.9.7 libvpx-0.9.7.1-1.fc15.x86_64 (Fedora Project) 1316253409
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.x86_64 (Fedora Project) 1316253423
:/usr/lib64/libsndfile.so.1.0.25 libsndfile-1.0.25-1.fc15.x86_64 (Fedora Project) 1316253385
:/usr/lib64/libstdc++.so.6.0.16 libstdc++-4.6.0-10.fc15.x86_64 (Fedora Project) 1316252670
:/usr/lib64/libltdl.so.7.3.0 libtool-ltdl-2.4-4.fc15.x86_64 (Fedora Project) 1316253379
:/usr/lib64/librtmp.so.0 librtmp-2.4-0.1.20110811gitc58cfb3e.fc15.x86_64 (RPM Fusion) 1316243379
:/usr/share/fonts/abattis-cantarell/Cantarell-Bold.otf abattis-cantarell-fonts-0.0.6-1.fc15.noarch (Fedora Project) 1316253416
:/usr/lib64/libORBit-2.so.0.1.0 ORBit2-2.14.19-2.fc15.x86_64 (Fedora Project) 1316253393
:/usr/lib64/audacious/General/cd-menu-items.so audacious-plugins-2.5.4-2.fc15.x86_64 (Fedora Project) 1316178532
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.3-2.fc15.x86_64 (Fedora Project) 1316253423
:/lib64/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1316252674
:/usr/lib64/audacious/General/skins.so audacious-plugins-2.5.4-2.fc15.x86_64 (Fedora Project) 1316178532
:/usr/lib64/liborc-0.4.so.0.14.0 orc-0.4.14-1.fc15.x86_64 (Fedora Project) 1316253385
:/lib64/libresolv-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1316252653
:/lib64/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1316252674
:/usr/lib64/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.x86_64 (Fedora Project) 1316253379
:/lib64/libnsl-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1316252653
:/usr/lib64/libSM.so.6.0.1 libSM-1.2.0-2.fc15.x86_64 (Fedora Project) 1316253379
:/usr/lib64/libopenjpeg.so.3.1.4.0 openjpeg-libs-1.4-6.fc15.x86_64 (Fedora Project) 1316253398
:/usr/lib64/libpixman-1.so.0.20.2 pixman-0.20.2-2.fc15.x86_64 (Fedora Project) 1316253384
:/usr/lib64/audacious/Transport/unix-io.so audacious-plugins-2.5.4-2.fc15.x86_64 (Fedora Project) 1316178532
:/usr/lib64/libpulse.so.0.12.3 pulseaudio-libs-0.9.22-5.fc15.x86_64 (Fedora Project) 1316253424
:/lib64/libwrap.so.0.7.6 tcp_wrappers-libs-7.6-60.fc15.x86_64 (Fedora Project) 1316252660
:/usr/lib64/libx264.so.114 x264-libs-0.0.0-0.29.20110227.fc15.x86_64 (RPM Fusion) 1316243377
:/usr/lib64/libatk-1.0.so.0.9.1 atk-2.0.0-1.fc15.x86_64 (Fedora Project) 1316253378
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.8.2-1.fc15.x86_64 (Fedora Project) 1316253446
:/usr/lib64/libgsm.so.1.0.12 gsm-1.0.13-2.fc12.x86_64 (Fedora Project) 1316253392
:/lib64/libuuid.so.1.3.0 libuuid-2.19.1-1.4.fc15.x86_64 (Fedora Project) 1316252657
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3 gdk-pixbuf2-2.23.3-2.fc15.x86_64 (Fedora Project) 1316253423
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.x86_64 (Fedora Project) 1316253424
:/lib64/libnss_files-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1316252653
:/usr/lib64/libvorbisfile.so.3.3.4 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1316253379
:/usr/lib64/libtheoradec.so.1.1.4 libtheora-1:1.1.1-1.fc15.x86_64 (Fedora Project) 1316253386
:/usr/lib64/audacious/Output/pulse_audio.so audacious-plugins-2.5.4-2.fc15.x86_64 (Fedora Project) 1316178532
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1316252670
:/usr/lib64/audacious/Container/xspf.so audacious-plugins-2.5.4-2.fc15.x86_64 (Fedora Project) 1316178532
:/usr/lib64/libavformat.so.52.108.0 ffmpeg-libs-0.7-0.3.20110612git.fc15.x86_64 (RPM Fusion) 1316243379
:/usr/lib64/mcs/keyfile.so libmcs-0.7.2-4.fc15.x86_64 (Fedora Project) 1316178528
:/usr/lib64/libgconf-2.so.4.1.5 GConf2-2.32.3-1.fc15.x86_64 (Fedora Project) 1316253394
:/usr/lib64/libpango-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1316253429
:/usr/lib64/libaudgui.so.1.0.0 audacious-libs-2.5.4-1.fc15.x86_64 (Fedora Project) 1316178528
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-3.fc15.x86_64 (Fedora Project) 1316253423
:/usr/lib64/libmowgli.so.2.0.0 libmowgli-0.9.50-1.fc15.x86_64 (Fedora Project) 1316178528

environ:
:XDG_SESSION_ID=1
:HOSTNAME=havij.bastani
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=bf3bf6896a61d575ef6ddd320000000b-1316794156.147791-331016873
:GNOME_KEYRING_CONTROL=/tmp/keyring-dqAdig
:IMSETTINGS_MODULE=none
:USER=adrin
:USERNAME=adrin
:MAIL=/var/spool/mail/adrin
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/adrin/.local/bin:/home/adrin/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/adrin
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1500
:LANG=en_US.UTF-8
:GDM_LANG=
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/adrin
:SHLVL=1
:LOGNAME=adrin
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-6bRFv6KQH2,guid=e4f6c34c7c6d757dac2155850000001b
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/adrin
:DISPLAY=:0
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-adrin-fc1Z0h/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1508,unix/unix:/tmp/.ICE-unix/1508
:ORBIT_SOCKETDIR=/tmp/orbit-adrin
:GPG_AGENT_INFO=/tmp/keyring-dqAdig/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-dqAdig/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/audacious2.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=5033

var_log_messages:
:Sep 23 14:05:13 havij kernel: [17761.973033] audacious[5041]: segfault at 7f32b868dbd0 ip 00007f32cdf34e49 sp 00007f32bee8ca00 error 7 in libmowgli.so.2.0.0[7f32cdf2e000+10000]
:Sep 23 14:05:13 havij abrt[5106]: saved core dump of pid 5033 (/usr/bin/audacious) to /var/spool/abrt/ccpp-2011-09-23-14:05:13-5033.new/coredump (91979776 bytes)

Comment 1 Adrin Jalali 2011-09-23 21:07:46 UTC
Created attachment 524688 [details]
File: backtrace

Comment 2 Adrin Jalali 2011-09-23 21:07:47 UTC
Created attachment 524689 [details]
File: maps

Comment 3 Michael Schwendt 2011-09-23 21:20:13 UTC
> (mowgli_heap.c:246) [mowgli_heap_alloc]: critical: Assertion 'b != NULL' failed.

That's libmowgli crashing due to something unexpected.
The ffaudio plugin is not provided by Fedora.
A test-case would be needed.

> #15 open_input_file (name=0x2416440
> "file:///media/HEH/From%20BOZ/Music/Iranian/NAZERI/NAJVA_1.WAV", 
> file=0x2401290) at ffaudio-core.c:203

What file type is inside that WAV file?
Does it crash reproducibly?

Comment 4 Adrin Jalali 2011-09-23 21:48:54 UTC
I'll attach the file list.

It didn't reproduced when I tried to open those folders again.

Comment 5 Adrin Jalali 2011-09-23 21:49:27 UTC
Created attachment 524694 [details]
list of folders that were to be added.

Comment 6 Michael Schwendt 2011-09-23 22:21:21 UTC
The file list is useless, especially if the problem is not reproducible.

Comment 7 Michael Schwendt 2012-01-08 01:27:19 UTC
Re: comment 3

Actually, this is one remaining thread-safety issue related to libmowgli, albeit with no immediate cure. The Audacious 3.2-beta1 announcement comments on it:

| Audacious no longer depends on libmowgli, due to the tendency of current
| versions of the library to crash when used in multiple threads (see
| http://jira.atheme.org/browse/MOW-4).

Comment 8 Michael Schwendt 2012-07-26 15:53:09 UTC
If this is reproducible with a current release of Fedora, feel free to reopen. Fedora 15 has reached end-of-life: https://fedoraproject.org/wiki/End_of_life


Note You need to log in before you can comment on or make changes to this bug.